/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.isobus.model;

import java.awt.Point;

/**
 * A grid is an collection of little squares
 * This class represents on of these squares
 * @author Merijn Zengers
 */
public class GridElement {
    private Point gridPosition;
    private double latitude;
    private double longitude;
    private TreatmentZone treatmentZone;

    public Point getGridPosition() {
        return gridPosition;
    }

    public void setGridPosition(Point gridPosition) {
        this.gridPosition = gridPosition;
    }

    public double getLatitude() {
        return latitude;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public double getLongitude() {
        return longitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    public TreatmentZone getTreatmentZone() {
        return treatmentZone;
    }

    public void setTreatmentZone(TreatmentZone treatmentZone) {
        this.treatmentZone = treatmentZone;
    }
    
    
}
